Subject: Re: registry question
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 30 May 2002 12:58:54 -0400

I think we need to be clear on exactly what the goal of this exercise is.
The method you describe circumnavigates the use of setup, which you're free
to do at the risk of related issues reported to this list falling on 
deaf-ears, but it does not avoid any registry alterations.  Since this was
John's original stated goal, I think this line of discussion is getting off
the point.

Cygwin does use the registry.  The key area is for the aforementioned mounts.
Cygwin, by default, will attempt to create at least one mount point for "/"
if none is found for this.  Other mount points "/usr/lib" and "/usr/bin"
are generally created by setup.exe to provide paths that expected by some 
programs.  So, as to the question of will Cygwin work without any registry
modifications, the answer is no.  Could it be made to work without using 
the registry?  Possibly.  But this is an old topic of discussion that's best
not debated here again.  If someone's interested in looking into this 
possibility, an email archives review is in order.  At that point, any
new thoughts should be discussed on cygwin-developers, assuming the 
interested party has plans to implement their proposal.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 12:33 PM 5/30/2002, Paul McFerrin wrote:
>I frequently install cygwin only on ONE server and share that copy for multiple clients. 
>The clients are Windows 98, Windows 2000, and Windows NT.  After you manually get the mounts
>established the way you want them to be, cynwin works well on clients.  The setup program
>was NOT used to setup the clients.
>
>There is only one side effect.  On Windows 2000, you get an obscure message about not
>accessing somethng under /etc when the DLL first gets loaded.  I just ignore this error.
>
>Hint in setting up the clients....
>        On your cygwin server, create the following .bat file:
>                $ mount -m >/bin/domounts.bat
>        then edit this file to:
>                - reflect the network drives letters you are using
>                - ensure that every line ends in \r\n
>        then on your client, open up a cmd window, cd to your network drive
>        and the cygwin/bin directory and execute domounts.bat
>
>_Paul McFerrin
>
>
>Nicholas Wourms wrote:
>> 
>> I can think of one reason...portability.  Say you kept an install on nfs
>> and wanted to have access to it on any computer you went to.  It would be
>> handy in a university environment where you don't have access to/don't
>> want to modify the registry.  Of course I've never tried this personally,
>> but I'm sure others have.  As a possible solution, if you can access the
>> registry, you could find the keys that cygwin adds, then edit the cygwin
>> batch file to load/unload the keys as necessary.  In fact they did it at
>> my university to implement roaming profiles on 95/98.  I'm sure there are
>> other ways this could be achieved.
>> 
>> Cheers,
>> Nicholas
>> 
>> --- "Robinow, David" <[email-masked]> wrote:
>> > > From: John [mailto:[email-masked]]
>> > > Subject: Re: registry question
>> > > Larry Hall (RFK Partners, Inc) wrote:
>> > > > At 11:22 AM 5/30/2002, John wrote:
>> > > > >Quick question: can cygwin be installed on an NT machine
>> > > > >without modifying the registry?
>> > > >
>> > > > No, there is currently no option to do this via setup.
>> > >
>> > > Cheers for the quick reply Harry.
>> > >
>> > > Is there a 'manual' way to setup that would not involve the setup
>> > tool?
>> > > Are registry keys required for cygwin to work? or is there a
>> > workaround?
>> >  Is there some reason you don't want to modify the registry?
>> > This request seems very strange to me.
>> >
>> > --
>> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> > Bug reporting:         http://cygwin.com/bugs.html
>> > Documentation:         http://cygwin.com/docs.html
>> > FAQ:                   http://cygwin.com/faq/
>> >
>> 
>> __________________________________________________
>> Do You Yahoo!?
>> Yahoo! - Official partner of 2002 FIFA World Cup
>> http://fifaworldcup.yahoo.com
>> 
>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Bug reporting:         http://cygwin.com/bugs.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/